# RectangleOutlineGeometry

#### new Cesium.RectangleOutlineGeometry(options)
Core/RectangleOutlineGeometry.js 192

  A description of the outline of a a cartographic rectangle on an ellipsoid centered at the origin.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `rectangle` | Rectangle |  | A cartographic rectangle with north, south, east and west properties in radians.
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the rectangle lies.
  `granularity` | Number | `CesiumMath.RADIANS_PER_DEGREE` | optional The distance, in radians, between each latitude and longitude. Determines the number of positions in the buffer.
  `height` | Number | `0.0` | optional The distance in meters between the rectangle and the ellipsoid surface.
  `rotation` | Number | `0.0` | optional The rotation of the rectangle, in radians. A positive rotation is counter-clockwise.
  `extrudedHeight` | Number |  | optional The distance in meters between the rectangle's extruded face and the ellipsoid surface.

  ##### Throws:

  - DeveloperError : `options.rectangle.north` must be in the interval [`-Pi/2`, `Pi/2`].
  - DeveloperError : `options.rectangle.south` must be in the interval [`-Pi/2`, `Pi/2`].
  - DeveloperError : `options.rectangle.east` must be in the interval [`-Pi`, `Pi`].
  - DeveloperError : `options.rectangle.west` must be in the interval [`-Pi`, `Pi`].
  - DeveloperError : `options.rectangle.north` must be greater than `rectangle.south`.

  ##### Example:

      var rectangle = new Cesium.RectangleOutlineGeometry({
        ellipsoid : Cesium.Ellipsoid.WGS84,
        rectangle : Cesium.Rectangle.fromDegrees(-80.0, 39.0, -74.0, 42.0),
        height : 10000.0
      });
      var geometry = Cesium.RectangleOutlineGeometry.createGeometry(rectangle);

  ##### See:

  - RectangleOutlineGeometry#createGeometry

### Members

#### staticCesium.RectangleOutlineGeometry.packedLength : Number
Core/RectangleOutlineGeometry.js 225

  The number of elements used to pack the object into an array.

### Methods

#### staticCesium.RectangleOutlineGeometry.createGeometry(rectangleGeometry) → Geometry|undefined
Core/RectangleOutlineGeometry.js 330

  Computes the geometric representation of an outline of an rectangle, including its vertices, indices, and a bounding sphere.

  Name | Type | Description
  --- | --- | ---
  `rectangleGeometry` | RectangleOutlineGeometry | A description of the rectangle outline.

  ##### Returns:

  The computed vertices and indices.

  ##### Throws:

  - DeveloperError : Rotated rectangle is invalid.

#### staticCesium.RectangleOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/RectangleOutlineGeometry.js 236

  Stores the provided instance into the provided array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `value` | RectangleOutlineGeometry |  | The value to pack.
  `array` | Array.<Number> |  | The array to pack into.
  `startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

  ##### Returns:

  The array that was packed into

#### staticCesium.RectangleOutlineGeometry.unpack(array, startingIndex, result) → RectangleOutlineGeometry
Core/RectangleOutlineGeometry.js 283

  Retrieves an instance from a packed array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `array` | Array.<Number> |  | The packed array.
  `startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
  `result` | RectangleOutlineGeometry |  | optional The object into which to store the result.

  ##### Returns:

  The modified result parameter or a new Quaternion instance if one was not provided.